/* 🤖 this file was generated by svg-to-ts */
export const cvIconArrowCircle: {
  name: 'arrow_circle';
  data: string;
} = {
  name: 'arrow_circle',
  data: `<svg xmlns="http://www.w3.org/2000/svg" height="24px" viewBox="0 0 24 24" width="24px"><path d="M17.65 6.35C16.2 4.9 14.21 4 12 4c-4.42 0-7.99 3.58-7.99 8s3.57 8 7.99 8c3.73 0 6.84-2.55 7.73-6h-2.08c-.82 2.33-3.04 4-5.65 4-3.31 0-6-2.69-6-6s2.69-6 6-6c1.66 0 3.14.69 4.22 1.78L13 11h7V4l-2.35 2.35z"/></svg>`
};
export const cvIconCircleAlert: {
  name: 'circle_alert';
  data: string;
} = {
  name: 'circle_alert',
  data: `<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><g data-name="Layer 2"><g data-name="alert-circle"><rect width="24" height="24" opacity="0"/><path d="M12 2a10 10 0 1 0 10 10A10 10 0 0 0 12 2zm0 18a8 8 0 1 1 8-8 8 8 0 0 1-8 8z"/><circle cx="12" cy="16" r="1"/><path d="M12 7a1 1 0 0 0-1 1v5a1 1 0 0 0 2 0V8a1 1 0 0 0-1-1z"/></g></g></svg>`
};
export const cvIconHamburger: {
  name: 'hamburger';
  data: string;
} = {
  name: 'hamburger',
  data: `<svg xmlns="http://www.w3.org/2000/svg" height="24px" viewBox="0 0 24 24" width="24px"><path d="M3 18h18v-2H3v2zm0-5h18v-2H3v2zm0-7v2h18V6H3z"/></svg>`
};
export const cvIconLogo: {
  name: 'logo';
  data: string;
} = {
  name: 'logo',
  data: `<svg width="740" height="690" viewBox="0 0 740 690" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M295.016 1.32611C289.092 2.72611 284.975 5.42611 284.172 8.32611C283.871 9.42611 283.57 17.3261 283.57 25.9261C283.57 37.9261 283.269 41.8261 282.164 42.7261C281.16 43.6261 278.851 43.1261 272.425 40.9261C262.886 37.6261 246.419 33.9261 235.876 32.7261C216.498 30.4261 184.267 29.2261 162.378 29.9261C107.958 31.7261 74.8235 39.0261 50.6254 54.6261C36.97 63.4261 27.0297 77.4261 22.2102 94.6261C20.1017 102.126 20.1017 104.226 19.7 180.026L19.3988 257.826H11.5671C3.73531 257.826 1.22513 258.726 0.120657 261.926C-0.582193 264.126 1.62676 266.426 10.9646 273.326C13.1736 274.926 15.6838 277.026 16.487 277.826C17.2903 278.626 19.8004 280.726 22.0094 282.326C24.2183 283.926 27.4314 286.526 29.0379 288.026C30.7448 289.526 32.3513 290.826 32.6525 290.826C33.0542 290.826 35.0623 292.426 37.1709 294.326C43.6973 300.326 48.2156 300.226 55.1437 294.026C57.4531 292.026 61.6702 288.526 64.582 286.326C67.4938 284.126 70.4056 281.826 71.1084 281.326C72.2129 280.326 80.7475 273.426 83.7597 271.126C90.1858 266.226 91.7923 264.426 91.7923 262.326C91.7923 258.926 90.3866 258.426 80.7475 257.826L72.2129 257.326L72.3133 184.326C72.4137 115.026 72.715 103.826 74.8235 103.826C75.3255 103.826 75.7272 103.226 75.7272 102.426C75.7272 101.626 77.2333 99.8261 79.0406 98.3261C80.7475 96.9261 83.0569 95.0261 84.061 94.2261C84.9646 93.4261 86.4707 92.8261 87.274 92.8261C88.0772 92.8261 88.7801 92.3261 88.7801 91.8261C88.7801 91.2261 89.4829 90.8261 90.2862 90.8261C91.0894 90.8261 92.5956 90.4261 93.5996 89.9261C96.3106 88.5261 104.544 86.8261 111.271 86.2261C114.585 85.9261 118.3 85.2261 119.404 84.8261C123.019 83.1261 137.076 82.6261 178.142 82.6261C218.606 82.6261 235.374 83.3261 235.374 84.7261C235.374 85.2261 238.889 85.8261 243.206 86.1261C250.737 86.8261 258.568 88.6261 260.075 90.1261C260.476 90.5261 261.681 90.8261 262.685 90.8261C263.689 90.8261 264.492 91.2261 264.492 91.8261C264.492 92.3261 265.195 92.8261 265.999 92.8261C269.814 92.8261 278.951 100.626 281.16 105.726C282.365 108.526 282.566 122.226 282.566 189.426C282.566 273.526 282.465 275.326 278.148 283.526C274.031 291.526 262.384 298.326 242.403 304.426C217.904 311.826 210.473 314.126 207.762 314.826C206.156 315.226 199.328 317.326 192.701 319.326C186.075 321.326 179.046 323.426 177.138 323.926C172.018 325.426 168.704 326.326 158.563 329.326C153.643 330.726 148.221 332.326 146.514 332.826C144.908 333.326 137.879 335.326 130.951 337.326C124.023 339.326 117.095 341.326 115.388 341.826C113.781 342.226 109.263 343.626 105.347 344.826C101.532 346.026 93.8004 348.326 88.278 350.026C64.582 357.126 60.3649 358.826 51.6295 364.326C43.6973 369.426 30.042 383.526 26.1261 390.926C20.3025 401.726 20.5033 396.326 20.5033 523.826C20.5033 634.526 20.6037 641.826 22.411 650.326C25.624 665.726 34.4599 677.726 46.4083 682.926C48.1152 683.726 49.6213 684.626 49.6213 685.026C49.6213 685.526 50.7258 685.826 52.0311 685.826C53.3364 685.826 54.6417 686.226 54.8425 686.826C55.6458 689.226 81.2496 689.826 180.653 689.826C279.051 689.726 302.647 689.226 305.057 686.826C305.559 686.326 306.663 685.826 307.366 685.826C309.274 685.826 316.604 680.926 320.921 676.726C324.937 672.726 329.757 664.626 329.757 661.726C329.757 660.726 330.159 659.626 330.761 659.326C331.263 659.026 331.765 657.626 331.765 656.226C331.765 654.926 332.167 653.826 332.669 653.826C334.476 653.826 334.878 635.126 334.878 543.226C334.878 486.126 335.179 446.826 335.781 445.326C336.685 443.026 337.187 442.926 345.521 442.626C354.156 442.326 354.357 442.326 354.658 439.726C354.959 437.226 354.056 436.326 341.806 426.526C332.267 418.926 330.058 417.226 329.155 416.326C328.552 415.726 326.343 414.026 324.235 412.426C322.226 410.726 318.612 407.926 316.302 406.126C309.475 400.726 308.069 401.126 291.502 414.426C283.57 420.826 275.537 427.226 273.629 428.626C265.095 435.426 263.288 437.426 263.689 439.826C263.99 442.226 264.292 442.326 272.726 442.626C280.256 442.826 281.662 443.226 282.566 444.826C283.269 446.226 283.57 475.426 283.369 536.026C283.068 624.426 283.068 625.326 280.959 628.826C278.047 633.626 273.328 636.626 267.203 637.326C264.292 637.626 222.221 637.826 173.624 637.626L85.2658 637.326L80.9483 634.826C76.8316 632.526 75.6268 631.126 72.8154 624.826C71.5101 622.026 71.8113 433.526 73.1166 426.326C74.3215 419.926 76.8316 414.226 80.3459 410.526C83.4585 407.226 91.2903 401.826 92.9972 401.826C93.8004 401.826 94.8045 401.426 95.4069 401.026C96.3106 400.226 103.138 397.926 110.87 395.826C113.38 395.226 116.191 394.226 117.095 393.726C118.099 393.226 119.806 392.826 120.91 392.826C122.015 392.826 123.722 392.426 124.726 391.926C127.537 390.426 136.975 387.826 139.586 387.826C140.791 387.826 142.197 387.326 142.498 386.826C142.799 386.226 144.406 385.826 146.012 385.826C147.619 385.826 149.225 385.326 149.526 384.826C149.828 384.226 151.233 383.826 152.539 383.826C153.844 383.826 155.149 383.426 155.45 382.926C155.752 382.426 157.459 381.826 159.266 381.526C165.692 380.426 174.026 378.326 174.729 377.526C175.13 377.126 176.536 376.826 177.741 376.826C179.046 376.826 180.351 376.326 180.653 375.826C180.954 375.226 182.56 374.826 184.066 374.826C185.572 374.826 187.179 374.426 187.781 374.026C188.283 373.526 192.3 372.326 196.718 371.426C201.136 370.426 205.553 369.226 206.457 368.726C207.461 368.226 209.168 367.826 210.172 367.826C211.277 367.826 212.482 367.326 212.783 366.826C213.084 366.226 214.289 365.826 215.393 365.826C216.397 365.826 218.104 365.426 219.108 364.926C221.619 363.626 231.258 360.826 233.467 360.826C234.471 360.826 235.575 360.326 235.876 359.826C236.178 359.226 237.383 358.826 238.487 358.826C239.491 358.826 241.198 358.426 242.202 357.926C247.423 355.326 257.263 351.826 259.472 351.826C260.577 351.826 261.48 351.326 261.48 350.826C261.48 350.226 262.183 349.826 262.986 349.826C263.79 349.826 265.296 349.426 266.3 348.926C269.613 347.126 279.654 342.826 280.357 342.826C281.762 342.826 300.237 333.326 302.045 331.626C303.149 330.626 304.454 329.826 304.956 329.826C305.659 329.826 309.374 327.326 315.098 322.826C316.704 321.526 319.716 318.526 323.231 314.426C325.942 311.326 329.757 303.526 329.757 301.226C329.757 300.426 330.259 299.826 330.761 299.826C331.364 299.826 331.765 298.526 331.765 297.026C331.765 295.526 332.368 293.626 333.07 293.026C333.974 292.026 334.376 262.126 334.577 152.026C334.777 75.2261 334.577 10.9261 334.275 9.32611C333.673 5.72611 329.958 3.22607 322.327 1.22607C316.102 -0.473926 301.944 -0.373889 295.016 1.32611Z" fill="black"/><path d="M685.78 257.625C673.43 261.225 670.719 262.125 670.719 262.725C670.719 263.225 670.117 263.525 669.514 263.525C667.305 263.525 656.06 274.225 652.746 279.325C645.115 291.225 643.308 308.225 648.128 323.025C649.533 327.325 651.642 332.225 652.847 333.925C656.562 339.425 666.201 347.925 672.326 351.325C675.539 353.125 680.057 355.625 682.266 356.825C684.475 358.125 689.495 360.825 693.311 362.925C704.355 368.825 709.275 372.825 711.685 377.925C713.894 382.525 714.597 388.925 712.99 389.925C712.589 390.225 711.886 391.725 711.585 393.325C710.982 396.325 705.862 402.125 702.147 404.225C698.934 406.025 686.784 405.825 683.069 404.025C680.057 402.525 676.342 398.725 673.832 394.425C672.928 393.025 672.125 388.325 671.924 382.725L671.522 373.525H658.57H645.617V385.425C645.617 392.325 646.019 397.625 646.621 398.025C647.224 398.325 647.626 399.325 647.626 400.025C647.626 403.725 653.449 413.125 659.373 419.025C678.25 437.925 707.267 438.025 726.345 419.125C732.269 413.325 737.992 404.125 737.992 400.425C737.992 399.425 738.494 398.325 738.996 398.025C740.402 397.125 740.301 375.925 738.795 371.625C737.088 366.725 730.963 357.825 726.244 353.425C721.726 349.125 716.404 345.725 705.36 339.925C688.391 331.225 686.282 330.025 685.981 329.225C685.78 328.825 685.077 328.525 684.374 328.525C682.768 328.525 675.739 321.025 673.832 317.225C671.723 313.125 671.824 300.925 673.932 296.425C675.94 292.325 681.663 286.925 685.479 285.425C689.194 284.025 697.628 284.325 701.243 286.025C706.062 288.325 710.882 293.725 712.087 298.125C712.689 300.325 713.392 307.125 713.593 313.225L713.995 324.525H727.047H740V309.625C740 300.725 739.598 294.425 738.996 294.025C738.494 293.725 737.992 292.525 737.992 291.525C737.992 288.125 730.963 276.225 726.545 272.025C720.722 266.425 717.107 263.525 715.902 263.525C715.3 263.525 714.898 263.125 714.898 262.725C714.898 261.925 708.472 259.825 701.343 258.225C694.516 256.825 689.395 256.625 685.78 257.625Z" fill="#E25825"/><path d="M414.681 345.025V431.525H439.783C454.342 431.525 466.993 431.025 470.106 430.425C479.343 428.525 487.878 423.725 495.007 416.625C500.83 410.725 502.839 407.625 508.461 395.625C510.269 391.825 509.967 296.725 508.16 292.925C502.738 281.425 501.533 279.425 496.011 273.625C492.798 270.225 486.372 265.525 485.066 265.525C484.464 265.525 483.962 265.025 483.962 264.525C483.962 263.925 483.058 263.525 482.054 263.525C480.95 263.525 479.946 263.125 479.745 262.725C479.645 262.325 475.829 261.125 471.411 260.225C465.085 258.925 458.057 258.525 438.98 258.525H414.681V345.025ZM472.415 289.025C474.122 290.125 476.431 292.125 477.737 293.525C482.858 299.125 482.958 299.725 482.958 344.525C482.958 390.725 482.958 390.625 476.532 397.025C470.708 402.825 468.299 403.525 454.342 403.525H441.791V345.625C441.791 300.225 442.092 287.525 443.096 287.125C443.699 286.825 449.924 286.725 456.852 286.825C467.395 287.025 469.905 287.325 472.415 289.025Z" fill="#E25825"/><path d="M534.166 345.125V431.725L562.079 431.325C593.004 430.925 594.51 430.625 605.254 423.725C611.178 420.025 619.512 411.825 621.72 407.525C622.423 406.125 623.327 404.825 623.628 404.525C625.837 402.625 629.552 387.225 629.552 379.825C629.552 373.425 629.151 371.625 625.737 361.525C624.331 357.125 618.106 347.325 616.298 346.725C614.19 345.825 615.796 340.825 619.512 336.725C624.431 331.325 628.749 322.625 630.155 315.025C631.36 308.325 630.657 298.125 628.548 293.025C625.335 284.825 623.929 281.925 623.026 280.925C622.524 280.325 620.716 278.125 619.009 276.025C615.294 271.225 613.588 269.525 612.583 269.525C612.182 269.525 610.977 268.725 609.872 267.725C608.868 266.825 606.659 265.325 604.952 264.525C603.346 263.725 601.739 262.725 601.438 262.425C601.137 262.125 597.121 261.125 592.402 260.225C585.875 258.925 578.144 258.525 559.066 258.525H534.166V345.125ZM591.297 288.125C597.121 290.425 601.94 296.725 603.948 304.725C605.153 309.525 602.342 317.525 597.924 322.025C591.598 328.325 590.896 328.525 575.332 328.525H561.275V308.125C561.275 292.725 561.577 287.525 562.581 287.225C563.183 286.925 569.107 286.625 575.533 286.625C584.068 286.525 588.385 286.925 591.297 288.125ZM588.887 358.625C593.707 361.125 598.426 365.425 598.426 367.225C598.426 367.925 598.828 368.525 599.229 368.525C601.739 368.525 603.848 386.525 601.438 388.025C600.936 388.325 600.434 389.325 600.434 390.125C600.434 391.025 599.731 392.325 598.928 393.125C598.125 393.925 596.92 395.425 596.217 396.425C595.514 397.425 593.104 399.425 590.996 400.925C587.281 403.425 586.478 403.525 574.228 403.525H561.275V380.625C561.275 363.225 561.577 357.525 562.581 357.225C563.183 356.925 568.505 356.625 574.328 356.625C583.265 356.525 585.574 356.825 588.887 358.625Z" fill="#E25825"/></svg>`
};
export const cvIconPerson: {
  name: 'person';
  data: string;
} = {
  name: 'person',
  data: `<svg xmlns="http://www.w3.org/2000/svg" height="24px" viewBox="0 0 24 24" width="24px"><path d="M12 6c1.1 0 2 .9 2 2s-.9 2-2 2-2-.9-2-2 .9-2 2-2m0 10c2.7 0 5.8 1.29 6 2H6c.23-.72 3.31-2 6-2m0-12C9.79 4 8 5.79 8 8s1.79 4 4 4 4-1.79 4-4-1.79-4-4-4zm0 10c-2.67 0-8 1.34-8 4v2h16v-2c0-2.66-5.33-4-8-4z"/></svg>`
};
export const cvIconPlus: {
  name: 'plus';
  data: string;
} = {
  name: 'plus',
  data: `<svg xmlns="http://www.w3.org/2000/svg" height="24px" viewBox="0 0 24 24" width="24px"><path d="M19 13h-6v6h-2v-6H5v-2h6V5h2v6h6v2z"/></svg>`
};
export const cvIconSpinner: {
  name: 'spinner';
  data: string;
} = {
  name: 'spinner',
  data: `<!--By Sam Herbert (@sherb), for everyone. More @ http://goo.gl/7AJzbL--><svg width="44" height="44" viewBox="0 0 44 44" xmlns="http://www.w3.org/2000/svg" stroke="#c5cee0"><g fill="none" fill-rule="evenodd" stroke-width="2"><circle cx="22" cy="22" r="1"><animate attributeName="r" begin="0s" dur="1.8s" values="1; 20" calcMode="spline" keyTimes="0; 1" keySplines="0.165, 0.84, 0.44, 1" repeatCount="indefinite"/><animate attributeName="stroke-opacity" begin="0s" dur="1.8s" values="1; 0" calcMode="spline" keyTimes="0; 1" keySplines="0.3, 0.61, 0.355, 1" repeatCount="indefinite"/></circle><circle cx="22" cy="22" r="1"><animate attributeName="r" begin="-0.9s" dur="1.8s" values="1; 20" calcMode="spline" keyTimes="0; 1" keySplines="0.165, 0.84, 0.44, 1" repeatCount="indefinite"/><animate attributeName="stroke-opacity" begin="-0.9s" dur="1.8s" values="1; 0" calcMode="spline" keyTimes="0; 1" keySplines="0.3, 0.61, 0.355, 1" repeatCount="indefinite"/></circle></g></svg>`
};
export type CvIconType = 'arrow_circle' | 'circle_alert' | 'hamburger' | 'logo' | 'person' | 'plus' | 'spinner';
export interface CvIcon {
  name: CvIconType;
  data: string;
}
export type CvIconNameSubset<T extends Readonly<CvIcon[]>> = T[number]['name'];
export const completeIconSet = [
  cvIconArrowCircle,
  cvIconCircleAlert,
  cvIconHamburger,
  cvIconLogo,
  cvIconPerson,
  cvIconPlus,
  cvIconSpinner
];
